Skip to main content
PUT
/
cloud
/
v2
/
client_quotas
/
{client_id}
/
notification_threshold
Update quota notification threshold
curl --request PUT \
  --url https://api.gcore.com/cloud/v2/client_quotas/{client_id}/notification_threshold \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "threshold": 80,
  "last_message": {
    "global_quotas": {},
    "regional_quotas": [
      {
        "region_id": 123,
        "region_name": "<string>"
      }
    ]
  },
  "last_sending": null
}
'
{
  "client_id": 123,
  "last_message": {
    "global_quotas": {},
    "regional_quotas": [
      {
        "region_id": 123,
        "region_name": "<string>"
      }
    ]
  },
  "last_sending": null,
  "threshold": 80
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

client_id
integer
required

Client ID

Example:

3

Body

application/json
threshold
integer
required

Quota notification threshold in percentage

Required range: 60 <= x <= 100
Example:

95

last_message
QuotasThresholdSerializer · object

A message data

last_sending
string<date-time> | null

Time of last successful email sending

Example:

null

Response

200 - application/json

OK

client_id
integer
required

Client id

Example:

2

last_message
QuotasThresholdSerializer · object
required

A message data

last_sending
string<date-time> | null
required

Time of last successful email sending

Example:

null

threshold
integer
required

Quota notification threshold in percentage

Required range: 60 <= x <= 100
Example:

95